Bug 213873 - games/pioneer: Update to 20161028
Summary: games/pioneer: Update to 20161028
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-10-29 05:50 UTC by lightside
Modified: 2016-11-02 10:25 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (since 422087 revision) (3.57 KB, patch)
2016-10-29 05:50 UTC, lightside
lightside: maintainer-approval+
Details | Diff
Proposed patch (since 422087 revision) (3.03 KB, patch)
2016-10-31 20:21 UTC, lightside
lightside: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-10-29 05:50:43 UTC
Created attachment 176260 [details]
Proposed patch (since 422087 revision)

Patch to update games/pioneer port from 20160610 to 20161028 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20160610...20161028

- Add BUILD_VERSION variable, which allows to use GH_TAGNAME for git commit
- Move QUICKSTART_PATH variable to DOCS_SUB_LIST option
- Add NOGPUJOBS option
- Remove bsd.port.options.mk include
- Clarify sed patch for libprofiler.a
- Add new file to sed patch for FreeBSD 9.3
Comment 1 Guido Falsi freebsd_committer 2016-10-31 17:49:03 UTC
(In reply to lightside from comment #0)
> Created attachment 176260 [details]
> Proposed patch (since 422087 revision)
> 
> Patch to update games/pioneer port from 20160610 to 20161028 version.
> 
> Look following link for changes:
> https://github.com/pioneerspacesim/pioneer/compare/20160610...20161028
> 
> - Add BUILD_VERSION variable, which allows to use GH_TAGNAME for git commit

I'm not getting the reason of this patch.

At present BUILD_VERSION and GH_TAGNAME would be the same. Without this change you're using GH_TAGNAME in PORTVERSION, which is not a problem.

If naming schema of the port changges, you'll anyway have to change PORTVERSION, and most probably have fixed PORTVERSION and GH_TAGNAME depending on PORTVERSION (which is the default).

So I'm not getting what you are gaining by adding a variable which will be the same as GH_TAGNAME anyway.
Comment 2 lightside 2016-10-31 20:21:47 UTC
Created attachment 176350 [details]
Proposed patch (since 422087 revision)

(In reply to comment #1)
> So I'm not getting what you are gaining by adding a variable which will be the
> same as GH_TAGNAME anyway.
I used this variant for git bisection (related to NOGPUJOBS port's option).

(In reply to comment #0)
> - Add BUILD_VERSION variable, which allows to use GH_TAGNAME for git commit
Ok, I removed this.
Comment 3 commit-hook freebsd_committer 2016-11-02 10:24:59 UTC
A commit references this bug:

Author: madpilot
Date: Wed Nov  2 10:24:08 UTC 2016
New revision: 425132
URL: https://svnweb.freebsd.org/changeset/ports/425132

Log:
  - Update pioneer to 20161028
  - Add NOGPUJOBS option

  PR:		213873
  Submitted by:	lightside <lightside@gmx.com>

Changes:
  head/games/pioneer/Makefile
  head/games/pioneer/distinfo
Comment 4 Guido Falsi freebsd_committer 2016-11-02 10:25:57 UTC
Committed. Thanks!